%define major 6
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

Name:		xmltooling
Version:	1.5.3
%define subrel	1
Release:	%mkrel 5
Summary:	OpenSAML XMLTooling library
Group:		System/Libraries
License:	Apache 2.0
URL:		http://www.opensaml.org/
Source:		http://shibboleth.net/downloads/c++-opensaml/%{version}/%{name}-%{version}.tar.gz
Patch0:		xmltooling-1.5.4-CVE-2015-0851.patch
BuildRequires: xerces-c-devel >= 2.8.0
BuildRequires: xml-security-c-devel >= 1.4.0
BuildRequires: log4shib-devel >= 1.0
BuildRequires: openssl-devel
BuildRequires: boost-devel >= 1.32.0
BuildRequires: curl-devel 
BuildRequires: doxygen

%description
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

%package -n %{libname}
Summary:    OpenSAML XMLTooling library
Group:      System/Libraries

%description -n %{libname}
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This package contains just the shared library.

%package -n %{devname}
Summary:	XMLTooling development Headers
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This package includes files needed for development with XMLTooling.

%package schemas
Summary:	XMLTooling schemas and catalog
Group:		System/Libraries

%description schemas
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This package includes XML schemas and related files.

%prep
%setup -q
%patch0 -p1 -b .CVE-2015-0851

%build
%configure2_5x PTHREAD_CFLAGS=-pthread PTHREAD_LIBS=-lpthread
%make

%install
%makeinstall_std pkgdocdir=%{_docdir}/%{name}

%check
%{__make} check

%files -n %{libname}
%{_libdir}/libxmltooling.so.%{major}*
%{_libdir}/libxmltooling-lite.so.%{major}*

%files -n %{devname}
%{_docdir}/%{name}
%{_includedir}/%{name}
%{_libdir}/libxmltooling.so
%{_libdir}/libxmltooling-lite.so
%{_libdir}/pkgconfig/xmltooling.pc

%files schemas
%{_datadir}/xml/xmltooling


%changelog
* Wed Sep 02 2015 luigiwalser <luigiwalser> 1.5.3-5.1.mga5
+ Revision: 872250
- add upstream patch to fix CVE-2015-0851

* Wed Oct 15 2014 umeabot <umeabot> 1.5.3-5.mga5
+ Revision: 747018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.3-4.mga5
+ Revision: 690713
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-3.mga4
+ Revision: 529654
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 1.5.3-2.mga4
+ Revision: 452755
- rebuild for new boost

* Wed Jun 19 2013 guillomovitch <guillomovitch> 1.5.3-1.mga4
+ Revision: 445112
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.5.2-3.mga3
+ Revision: 387216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 1.5.2-2.mga3
+ Revision: 338036
- install schemas under /usr/share/xml/xmltooling instead of /usr/share/xmltooling

* Wed Jan 02 2013 guillomovitch <guillomovitch> 1.5.2-1.mga3
+ Revision: 337676
- imported package xmltooling

